void setup() {
  size(1400, 840, OPENGL);
  cam = new PeasyCam(this, 100);
  cp5 = new ControlP5(this);
  
  cp5.addButton("text", 4, 30, 30, 90, 40).setId(1);
  cp5.addButton("grid", 4, 30, 80, 90, 40).setId(2);
  cp5.addButton("number", 4, 30, 130, 90, 40).setId(3);
  cp5.addButton("y2006", 4, 30, 200, 40, 30).setId(4);
  cp5.addButton("y2007", 4, 30, 235, 40, 30).setId(5);
  cp5.addButton("y2008", 4, 30, 270, 40, 30).setId(6);
  cp5.addButton("y2009", 4, 30, 305, 40, 30).setId(7);
  cp5.addButton("y2010", 4, 30, 340, 40, 30).setId(8);
  cp5.addButton("y2011", 4, 30, 375, 40, 30).setId(9);
  cp5.addButton("y2012", 4, 30, 410, 40, 30).setId(10);
  cp5.addButton("y2013", 4, 30, 445, 40, 30).setId(11);
  
  cp5.addSlider("ballelevation1")
     .setPosition(30,750)
     .setSize(200,20)
     .setRange(-200,200)
     .setValue(0)
     ;
     
     cp5.addSlider("checkout")
     .setPosition(30,780)
     .setSize(200,20)
     .setRange(0,70)
     .setValue(0)
     ;
  

  cp5.setAutoDraw(false);
  
  //if (frame != null) {
  //  frame.setResizable(true);          // resizable window
  //}
  
  //setting up the camera
  //cam= new PeasyCam( this,0,0,0,1000);       
  cam.setMinimumDistance(50);        // how near the camera can get 0,0,0
  cam.setMaximumDistance(13000);       // how far the camera can travel
               
  table = new Table();                 //allocating memory to new table 
  table = loadTable("data_all_06-13_all_month.csv", "header");  //loading table
  
  numRows = table.getRowCount();        //getting number of rows in the table
  numColumns = table.getColumnCount();  //getting the number of columns in table
  
  dataMatrix = new int [numRows][numColumns];  //allocating memory to the internal 2D array
  
  //copying the table data into 2D array
  for ( int  i = 0 ; i< numRows ; i++)
      {
        for ( int  j= 0 ; j< numColumns ; j++)
            {
              dataMatrix[i][j]  = table.getInt(i,j);          // - 1 as the first column is the day number             
              println("data value: "+ dataMatrix[i][j]);              
            }
      }
      
   println("data transferred");
   
   //finding the maximum count in the data
   
   maxCount = dataMatrix[0][0];   
    for ( int  i = 0 ; i< numRows ; i++)
      {
        for ( int  j= 1 ; j< numColumns ; j++)
            {
             if(maxCount<dataMatrix[i][j])
              {
                maxCount=dataMatrix[i][j];
              }
              
            }
      }
      
   println ( "maximum value is:"+ maxCount);
   println ( "rowCount: "+ numRows);
   println ( "columnCount: "+ numColumns);
   
}
